	function whichAnimationEvent(){
	  var t,
	      el = document.createElement("fakeelement");

	  var animations = {
	    "animation"      : "animationend",
	    "OAnimation"     : "oAnimationEnd",
	    "MozAnimation"   : "animationend",
	    "WebkitAnimation": "webkitAnimationEnd"
	  }

	  for (t in animations){
	    if (el.style[t] !== undefined){
	      return animations[t];
	    }
	  }
	}
	var numLast = -1;
	var arSorteo = [['2;3;1','Camila;Sofía'],
					['2;1;3','Sofía;Óscar'],
					['1;3;2','Camila;Óscar'],
					['3;2;1','Camila;Sofía'],
					['1;2;3','Sofía;Óscar'],
					['3;1;2','Camila;Óscar']
					]; //el último número es el que queda en la caja

/** realiza el random entre 0 y 5**/
	function rndSorteo(){
		var numRnd = Math.floor(Math.random() * 6);
		if(numRnd != numLast){
			var node1 = document.getElementById("papel1");
			var node2 = document.getElementById("papel2");
			document.getElementById("zona1a").appendChild(node1); //vuelve a su lugar
			document.getElementById("zona2a").appendChild(node2); //vuelve a su lugar
			numLast = numRnd;
			$('#animTom').show();
			$('#animTom').addClass('play');
			$('[id^=papel]').removeClass('hidden');
			$(this).one(whichAnimationEvent(), //se ejecuta solo una vez
	              function(event) {
				    console.log(numLast);
				    setPapeles(arSorteo[numLast][0]);
				    $('#animTom').removeClass('play');
				    $('[id^=papel]').addClass('hidden');
					$('#animTom').hide();
					//initrecA(); // inicia drag n drop
			  });
		}else{
			rndSorteo(); //recursivo
		}
	}

/** revisa que nombres salieron en el array**/	

	function setPapeles(paperNum){
		var _ar = paperNum.split(';');
		for (var i = 0; i < _ar.length; i++) {
			$("#papel"+(i+1)).text(getNombre(_ar[i]));
		};
	}

/** determina a que nombre corresponde cada número y retorna el nombre correspondiente**/
	function getNombre(num){
		var _nombre;
		if(num == 1) _nombre = "Óscar";
		if(num == 2) _nombre = "Sofía";
		if(num == 3) _nombre = "Camila";

		return _nombre;
	}

/** inicio drag n drop **/
	function initrecA(){
	var cols = document.querySelectorAll(" [class^=azone]");
	[].forEach.call(cols, function(col) {
	  col.addEventListener('dragstart', handleDragStart, false);
	});

	var dragSrcEl = null;
	var dragSrcId = null;

	function handleDragStart(e) {
		dragSrcEl = this;
		dragSrcClass = $(this).attr('class');
		e.dataTransfer.effectAllowed = 'move';
		e.dataTransfer.setData('text/html', this.innerHTML);
	}

	function handleDragOver(e) {
		if (e.preventDefault) {
			e.preventDefault();
		}
		e.dataTransfer.dropEffect = 'move';
		return false;
	}

	function handleDragEnter(e) {
			this.classList.add('over');
	}

	function handleDragLeave(e) {
		this.classList.remove('over');
	}

	function handleDrop(e) {
		this.classList.remove('over');
		var allowit = true;
		if (e.stopPropagation) {
			e.stopPropagation();
		}
		if(dragSrcEl.innerHTML.trim()==''){
			allowit = false;
		}
		if (dragSrcEl != this && allowit) {
			var targ = $(this).attr('class');

			if(dragSrcClass.indexOf('azonea')==0 && targ.indexOf('azoneb')==0){
				dragSrcEl.innerHTML = this.innerHTML;
				this.innerHTML = e.dataTransfer.getData('text/html');
			} else 
			if(targ.indexOf('azonea') == 0){
				//console.log('donothing');
			} else {
				dragSrcEl.innerHTML = this.innerHTML;
				this.innerHTML = e.dataTransfer.getData('text/html');
				//console.log('from: '+dragSrcClass+' to: '+targ);
			}
		}
		return false;
	}

	function handleDragEnd(e) {
		[].forEach.call(cols, function (col) {
			col.classList.remove('over');
		});
	}

	[].forEach.call(cols, function(col) {
		col.addEventListener('dragstart', handleDragStart, false);
		col.addEventListener('dragenter', handleDragEnter, false)
		col.addEventListener('dragover', handleDragOver, false);
		col.addEventListener('dragleave', handleDragLeave, false);
		col.addEventListener('drop', handleDrop, false);
		col.addEventListener('dragend', handleDragEnd, false);
	});

}
 /**fin drag n drop**/

 $(document).ready(function(){

 	initrecA();
 });
 /** valida recurso **/

 	function validateRec(){
		var ar0 = $('#zona1b').children().text() +";"+ $('#zona2b').children().text();
		
		if (ar0 == arSorteo[numLast][1]) {
			alerta2("Muy bien, inténtalo con un nuevo sorteo.");
		}else{

			alerta2("Considera las preferencias de Óscar y Camila para asignar los puestos.");
		}
	}